> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# project_freetextsearch

> Provider for selecting a Project. Does keyword matching and scoring across multiple string fields. Checks name, description, soundex fields.

## "project\_freetextsearch" MDO List

Provider for selecting a Project.
Does keyword matching and scoring across multiple
string fields. Checks name, description, soundex fields.

User's own projects, recently added + modified projects, projects modified or created by user.
Matches on word boundaries or at start of field are scored extra highly.

Returns project items only: Id = project-id, Name = Project name, Type = "Project", IconHint="deleted\_item", ExtraInfo= project-id

Completed/Done projects are marked with stylehint = "deleted\_item" (but item.deleted = false)

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProjectListFreetextSearchProvider">ProjectListFreetextSearchProvider</see> class.
The name of the MDO list is 'project\_freetextsearch'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/project_freetextsearch
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("project_freetextsearch", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 15 | Prasjaakt |           | 15        |
| 16 | BBoBBeeBB |           | 16        |
| 17 | Ccocceecc |           | 17        |
| 18 | ddoddeedd |           | 18        |
| 19 | presjeekt |           | 19        |
| 20 | ffoffeeff |           | 20        |
| 21 | ggoggeegg |           | 21        |
| 22 | hhohheehh |           | 22        |
| 23 | prisjiikt |           | 23        |
| 24 | Jjojjeejj |           | 24        |
| 25 | Kkokkeekk |           | 25        |
| 26 | Llolleell |           | 26        |
| 27 | Mmommeemm |           | 27        |
| 28 | Nnonneenn |           | 28        |
| 29 | Prosjookt |           | 29        |
| 30 | Ppoppeepp |           | 30        |
| 31 | Qqoqqeeqq |           | 31        |
| 32 | Rrorreerr |           | 32        |
| 33 | Ssosseess |           | 33        |
| 34 | Ttotteett |           | 34        |
| 35 | Prusjuukt |           | 35        |

## Related MDO Lists

* "project\_freetextsearchheadings"
* "project\_freetextsearchheadingswithallitem"
* "project\_freetextsearchheadingswithallitemwithnoselection"
* "project\_freetextsearchheadingswithnoselection"
* "project\_freetextsearchwithallitem"
* "project\_freetextsearchwithallitemwithnoselection"
* "project\_freetextsearchwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [sale_freetextsearch](/en/api/mdo-providers/reference/sale_freetextsearch.md)
- [ticket_freetextsearch](/en/api/mdo-providers/reference/ticket_freetextsearch.md)
- [person_freetextsearch](/en/api/mdo-providers/reference/person_freetextsearch.md)
- [selection_freetextsearch](/en/api/mdo-providers/reference/selection_freetextsearch.md)
- [contact_freetextsearch](/en/api/mdo-providers/reference/contact_freetextsearch.md)
